API referenceLicense types
Delete license type
Delete a license type by its key
DEL
/application-instances/{applicationInstanceId}/license-types/{key}curl -X DELETE "https://api.corma.io/v1/application-instances/-9007199254740991/license-types/{key}" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
applicationInstanceIdintegerpathrequiredkeystringpathrequiredx-corma-idempotency-keystringheaderOptional client-generated key. Reusing the same key with an identical request replays the original response instead of enqueueing a duplicate task.
Response
application/json200
OK
keystringrequireddisplayNamestringrequiredapplicationInstanceIdintegerrequiredsourcesLicenseCatalogSource[]requiredcreatedAtstring<date-time>requiredThe timestamp of when this resource was created. ISO 8601 format.
updatedAtstring<date-time>requiredThe timestamp of the last update to this resource. ISO 8601 format.
{
"key": "string",
"displayName": "string",
"applicationInstanceId": -9007199254740991,
"sources": [
{
"sourceKind": "integration",
"integrationKind": "google",
"author": "string",
"isOriginating": true
}
],
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}